package com.securitycontrol.screen.service.impl;

import com.securitycontrol.entity.screen.dto.ConstructionQualityDto;
import com.securitycontrol.entity.screen.dto.OperatingQualityDto;
import com.securitycontrol.entity.screen.vo.ConstructionQualityVo;
import com.securitycontrol.entity.screen.vo.OperatingQualityVo;
import com.securitycontrol.screen.mapper.ConstructionQualityMapper;
import com.securitycontrol.screen.mapper.OperatingMapper;
import com.securitycontrol.screen.service.ConstructionQualityService;
import com.securitycontrol.screen.service.OperatingService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.time.YearMonth;
import java.util.ArrayList;
import java.util.List;

/**
 * @author Lenovo
 */
@Slf4j
@Service(value = "OperatingService")
public class OperatingImpl implements OperatingService {

    @Resource(name = "OperatingMapper")
    private OperatingMapper mapper;


    @Override
    public List<OperatingQualityVo> getRealTimeMonitoring(OperatingQualityDto dto) {
        return mapper.getRealTimeMonitoring(dto);
    }

    @Override
    public List<OperatingQualityVo> getFiniteSpace(OperatingQualityDto dto) {
        return mapper.getFiniteSpace(dto);
    }

    @Override
    public List<OperatingQualityVo> getSlopeDisplacement(OperatingQualityDto dto) {
        return mapper.getSlopeDisplacement(dto);
    }

    @Override
    public List<OperatingQualityVo> getGPSInstallation(OperatingQualityDto dto) {
        return mapper.getGPSInstallation(dto);
    }

    @Override
    public List<OperatingQualityVo> getFiniteSpaceEnvironment(OperatingQualityDto dto) {
        return mapper.getFiniteSpaceEnvironment(dto);
    }

    @Override
    public List<OperatingQualityVo> getGPSInstallationEnvironment(OperatingQualityDto dto) {
        return mapper.getGPSInstallationEnvironment(dto);
    }

    @Override
    public List<ConstructionQualityVo> getSlopeDisplacementList(ConstructionQualityDto dto) {
        return mapper.getSlopeDisplacementList(dto);
    }
}
